<?php
require_once('conecta.php');

//<!-- UPDATE CATEGORIA -->
if ($_GET['categorias'] == 1) {


    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $nome_cat = $_POST['nome_cat'];

    $sql = "UPDATE categorias_vagas SET nome_cat='$nome_cat' WHERE id= $idpagina";


    if (mysqli_query($conn, $sql)) {
        // Redireciona o usuário para a página de destino
        header('Location: ../categorias_vagas_update.php?status=ok&id=' . $idpagina . "");
        exit;
    } else {
        echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão com o MySQL
    mysqli_close($conn);
}



// //<!-- DELETAR CATEGORIA -->
if ($_GET['categorias'] == 2) {


    $idpagina = $_GET['id'];


    // Delete the user with ID 123
    $sql = "DELETE FROM categorias_vagas WHERE id = $idpagina";
    if (mysqli_query($conn, $sql)) {
        header("location: ../categorias_vagas.php?apagou=ok");
    } else {
        echo "Error deleting user: " . mysqli_error($conn);
    }

    // Close the connection
    mysqli_close($conn);
}



//<!-- ADICIONAR CATEGORIA -->
if ($_GET['categorias'] == 3) {


    //Recuperando os dados do formulário
    //$id = $_POST["id"];
    $nome_cat = $_POST["nome_cat"];


    //Inserindo os dados na tabela "paginas"
    $sql = "INSERT INTO categorias_vagas (nome_cat) VALUES ('$nome_cat')";
    $resultado = mysqli_query($conn, $sql);

    if ($resultado) {
        // Redireciona o usuário para a página de destino
        header('Location: ../categorias_vagas.php?adicionado=ok');
        exit;
    } else {
        echo "Erro ao inserir dados: " . mysqli_error($conn);
    }

    //Fechando a conexão com o banco de dados
    mysqli_close($conn);
}
